import Request from '../common/request.js';
let request = new Request().http

 
 export function getMyDocList(data) {
 	 return request('/app/doc/getMyDocList',data,'GET');
 }
 
 export function getDocDetails(data) {
 	 return request('/app/doc/getDocDetails',data,'GET');
 }
 
 export function addDoc(data) {
 	return request('/app/doc/addDoc',data,'POST','application/json;charset=UTF-8');
 }
 
 export function editDoc(data) {
 	return request('/app/doc/editDoc',data,'POST','application/json;charset=UTF-8');
 }
 export function delDoc(data) {
 	return request('/app/doc/delDoc',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getMyDocRecordList(data) {
 	 return request('/app/doc/getMyDocRecordList',data,'GET');
 }
 
 export function getDocRecordReplyList(data) {
 	 return request('/app/doc/getDocRecordReplyList',data,'GET');
 }
 
 
 export function addDocRecord(data) {
 	return request('/app/doc/addDocRecord',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getMyDocOrderList() {
 	 return request('/app/doc/getMyDocOrderList',null,'GET');
 }
 
 export function addDocOrder(data) {
 	return request('/app/doc/addDocOrder',data,'POST','application/json;charset=UTF-8');
 }
 //获取倍力之家分类列表
 export function getbeilihometype(data) {
 	return request('/app/home/article/getCategory',data,'GET','application/json;charset=UTF-8');
 }
 //获取倍力之家文章列表
 export function getbeilihomelist(data) {
 	return request('/app/home/article/get',data,'GET','application/json;charset=UTF-8');
 }
 //获取倍力之家文章详情
 export function getbeilidetail(data) {
 	return request('/app/home/article/details',data,'GET','application/json;charset=UTF-8');
 }
 //获取倍力之家文章阅读记录
 export function getbeilistudy(data) {
 	return request('/app/home/article/addRecord',data,'GET','application/json;charset=UTF-8');
 }